Project

General

Profile

Bug #7362

Bug #7360: openldap: Double free vulnerability in servers/slapd/back-mdb/search.c (CVE-2017-9287)

[3.6] openldap: Double free vulnerability in servers/slapd/back-mdb/search.c (CVE-2017-9287)

Added by Alicha CH over 1 year ago. Updated over 1 year ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Security
Target version:
Start date:
06/01/2017
Due date:
% Done:

100%

Estimated time:
Affected versions:
Security IDs:

Description

servers/slapd/back-mdb/search.c in OpenLDAP through 2.4.44 is prone to a double free vulnerability. A user with access to search the
directory can crash slapd by issuing a search including the Paged Results control with a page size of 0.

Reference:

https://nvd.nist.gov/vuln/detail/CVE-2017-9287

Patch:

https://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=commit;h=0cee1ffb6021b1aae3fcc9581699da1c85a6dd6e

Associated revisions

Revision 70711fe4 (diff)
Added by Natanael Copa over 1 year ago

main/openldap: sec fix for CVE-2017-9287

fixes #7362

History

#1 Updated by Natanael Copa over 1 year ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

#2 Updated by Alicha CH over 1 year ago

  • Category set to Security
  • Status changed from Resolved to Closed

Also available in: Atom PDF